<template>
    <p class="text-xl text-center py-8">Detalle Usuario</p>
    <div class="flex gap-5 w-full justify-center">
        <div class="grow flex flex-col gap-5">
            <h1 class="text-center">Datos de Usuario</h1>
            <table class="table w-full">
                <tr>
                    <th>Nombre</th>
                    <td>{{user.nombre}}</td>
                </tr>
                <tr>
                    <th>Apellidos</th>
                    <td>{{user.apellidoPaterno}} {{user.apellidoMaterno}}</td>
                </tr>
                <tr>
                    <th>Correo</th>
                    <td>{{user.correo}}</td>
                </tr>
                <tr>
                    <th>Nombre de usuario</th>
                    <td>{{user.username}}</td>
                </tr>
                <tr>
                    <th>Rol</th>
                    <td>{{user.rol}}</td>
                </tr>
                <tr>
                    <th>ID Usuario</th>
                    <td>{{user.usuId}}</td>
                </tr>
            </table>
        </div>
        <div class="grow flex flex-col gap-5" v-if="user.rol!='ADMINISTRADOR'">
            <h1 class="text-center">Datos de {{user.rol}}</h1>
            <table class="table w-full" v-if="user.rol=='ALUMNO'">
                <tr>
                    <th>ID Apoderado</th>
                    <td>
                        <span v-if="user.apoderado">{{user.apoderado}}</span>
                        <span v-else>No hay apoderado asociado</span>
                    </td>
                    <td>
                        <a class="btn btn-accent text-white btn-xs" @click="asignarApoderado()">Asignar Apoderado</a>
                    </td>
                </tr>
                <tr>
                    <th>Curso</th>
                    <td>
                        <span v-if="user.curso">{{user.curso}}</span>
                        <span v-else>No hay curso registrado</span>
                    </td>
                    <td>
                        <a class="btn btn-accent text-white w-full btn-xs">Asignar Curso</a>
                    </td>
                </tr>
            </table>
            <table class="table w-full" v-if="user.rol=='APODERADO'">
                <tr>
                    <th>Pupilos</th>
                    <td>
                        <div v-if="user.alumnos" class="flex flex-col">
                            <span v-for="alumno in user.alumnos" :key="alumno.usuId">
                                {{alumno.nombre}} {{alumno.apellidoPaterno}} {{alumno.apellidoMaterno}}
                            </span>
                        </div>
                        <span v-else>No hay alumnos asociados</span>
                    </td>
                </tr>
            </table>
            <table class="table w-full" v-if="user.rol=='DOCENTE'">
                <tr>
                    <th>Curso Jefe</th>
                    <td>
                        <div v-if="user.cursoJefe">
                            {{user.cursoJefe}}
                        </div>
                        <span v-else>No hay Curso asociado</span>
                    </td>
                    <td>
                        <a class="btn btn-accent text-white w-full btn-xs">Asignar Curso</a>
                    </td>
                </tr>
                <tr>
                    <th>Asignaturas</th>
                    <td>
                        <div v-if="user.asignaturas">
                            <span v-for="materia in user.asignatura" :key="materia">
                                {{materia}}
                            </span>
                        </div>
                        <span v-else>No hay Asignaturas asociadas</span>
                    </td>
                    <td>
                        <a class="btn btn-accent text-white w-full btn-xs">Agregar Asignatura</a>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</template>

<script>

export default {
    props:{
        user: {
            type: Object
        }
    },
    methods: {
        asignarApoderado(){
            this.$router.push("/admin/asignarApoderado/"+this.user.usuId)
        }
    }
}
</script>

<style>

</style>